commit:     acdb79aa45f78d7d2fe9592d7d352bdf59c2ac3e
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 19 07:53:51 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Feb 19 08:18:59 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=acdb79aa

sys-fs/aufs3: Bump to latest aufs release

* Bump to EAPI=6
* Try to wrap lines at 80 chars

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 sys-fs/aufs3/Manifest                              |  2 +-
 ...3_p20160215.ebuild => aufs3-3_p20160219.ebuild} | 65 +++++++++++++---------
 2 files changed, 40 insertions(+), 27 deletions(-)

diff --git a/sys-fs/aufs3/Manifest b/sys-fs/aufs3/Manifest
index 7f063bb..928212f 100644
--- a/sys-fs/aufs3/Manifest
+++ b/sys-fs/aufs3/Manifest
@@ -1,2 +1,2 @@
 DIST aufs3-standalone-3_p20150622.tar.xz 3063280 SHA256 
2fa44f9df9d58df7a5251ebd2cec206fa90ca8e110c1f657df18e62adb170517 SHA512 
fe7a62249130d68f72b14f21b57e5d6db402f56637afc876068d916e78884d08476c804ac58ef06eeb9e13e0a2e1cb75ac782f83054f1c06cb85c74a3c48ba01
 WHIRLPOOL 
7f85a5324d51e148c97109357c13fcab76121d25ee006211d2212f9c6d352330be110569848c8ca96421bc4582025c73030329d7e501837e4d18cafd6002f153
-DIST aufs3-standalone-3_p20160215.tar.xz 3220152 SHA256 
e1e468e799826a128ab9ffb5b15dade4c721a4703ffff522f305de91d7b81489 SHA512 
ff57fe257575bd217622b408e89daaff1dad0954c2c0a599d4d4117f190a0b59aee9ac9c39f9b6d820604108fa2643d84833e78848cc12e0ea4b84e0dd9e9c7a
 WHIRLPOOL 
fa1037e6411c928b99e92e75a7b11aeb5acc0e5c31c45c05cdf21f3368f75fa4ccca199687964fb61ee50927a9df274ea624ea7b363600a4a943cfc171a417cc
+DIST aufs3-standalone-3_p20160219.tar.xz 3256736 SHA256 
23652c6d8fd12a9a29454293f13add7e0f97f2ec542b69e5dfecbc99064c4247 SHA512 
af65cb3d9890c05ec24d64d27759d8c0fa98f35887d62a7ec77ebc496ec9de02563bc5a3e05b67c342926b062fe077c7a8de543291177a4e0210b2159027e1af
 WHIRLPOOL 
1ed7042c9e1e8efc29fa36fcbd2f09a10ffa51cc9d6b349869f6f6947ed27399deb2fa1035df7dbaf69dcbfa7eddb6f240b934a343732ace26f77bcf2e72167a

diff --git a/sys-fs/aufs3/aufs3-3_p20160215.ebuild 
b/sys-fs/aufs3/aufs3-3_p20160219.ebuild
similarity index 74%
rename from sys-fs/aufs3/aufs3-3_p20160215.ebuild
rename to sys-fs/aufs3/aufs3-3_p20160219.ebuild
index e98fe7f..73a014f 100644
--- a/sys-fs/aufs3/aufs3-3_p20160215.ebuild
+++ b/sys-fs/aufs3/aufs3-3_p20160219.ebuild
@@ -2,9 +2,9 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=5
+EAPI=6
 
-inherit eutils flag-o-matic linux-info linux-mod multilib readme.gentoo 
toolchain-funcs
+inherit eutils flag-o-matic linux-info linux-mod multilib readme.gentoo-r1 
toolchain-funcs
 
 AUFS_VERSION="${PV%%_p*}"
 # highest branch version
@@ -12,7 +12,7 @@ PATCH_MAX_VER=19
 # highest supported version
 KERN_MAX_VER=20
 # lowest supported version
-KERN_MIN_VER=14
+KERN_MIN_VER=18
 
 DESCRIPTION="An entirely re-designed and re-implemented Unionfs"
 HOMEPAGE="http://aufs.sourceforge.net/";
@@ -42,13 +42,16 @@ pkg_setup() {
        use nfs && CONFIG_CHECK+=" EXPORTFS"
        use fuse && CONFIG_CHECK+=" ~FUSE_FS"
        use hfs && CONFIG_CHECK+=" ~HFSPLUS_FS"
-       use pax_kernel && CONFIG_CHECK+=" PAX" && ERROR_PAX="Please use 
hardened sources"
+       use pax_kernel && CONFIG_CHECK+=" PAX" \
+               && ERROR_PAX="Please use hardened sources"
 
-       # this is needed so merging a binpkg ${PN} is possible w/out a kernel 
unpacked on the system
-       [ -n "$PKG_SETUP_HAS_BEEN_RAN" ] && return
+       # this is needed so merging a binpkg ${PN} is
+       # possible w/out a kernel unpacked on the system
+       [[ -n "$PKG_SETUP_HAS_BEEN_RAN" ]] && return
 
        get_version
-       kernel_is lt 3 ${KERN_MIN_VER} 0 && die "the kernel version isn't 
supported by upstream anymore. Please upgrade."
+       kernel_is lt 3 ${KERN_MIN_VER} 0 && \
+               die "the kernel version isn't supported by upstream anymore. 
Please upgrade."
        kernel_is gt 3 ${KERN_MAX_VER} 99 && die "kernel too new"
 
        linux-mod_pkg_setup
@@ -76,19 +79,30 @@ pkg_setup() {
                        ;;
        esac
 
-       pushd "${T}" &> /dev/null
+       pushd "${T}" &> /dev/null || die
        unpack ${A}
+
        cd ${PN}-standalone || die
+
        local module_branch=origin/${PN}.${PATCH_BRANCH}
+
        einfo "Using ${module_branch} as patch source"
        git checkout -q -b local-${PN}.${PATCH_BRANCH} ${module_branch} || die
-       combinediff ${PN}-base.patch ${PN}-standalone.patch  > 
"${T}"/combined-1.patch
-       combinediff "${T}"/combined-1.patch ${PN}-mmap.patch > 
${PN}-standalone-base-mmap-combined.patch
+
+       combinediff \
+               ${PN}-base.patch ${PN}-standalone.patch > 
"${T}"/combined-1.patch
+       combinediff \
+               "${T}"/combined-1.patch ${PN}-mmap.patch \
+               > ${PN}-standalone-base-mmap-combined.patch
+
        if ! ( patch -p1 --dry-run --force -R -d ${KV_DIR} < 
${PN}-standalone-base-mmap-combined.patch > /dev/null ); then
                if use kernel-patch; then
                        cd ${KV_DIR}
                        ewarn "Patching your kernel..."
-                       patch --no-backup-if-mismatch --force -p1 -R -d 
${KV_DIR} < "${T}"/${PN}-standalone/${PN}-standalone-base-mmap-combined.patch 
>/dev/null
+                       patch \
+                               --no-backup-if-mismatch --force -p1 -R -d 
${KV_DIR} \
+                               < 
"${T}"/${PN}-standalone/${PN}-standalone-base-mmap-combined.patch \
+                               > /dev/null
                        epatch 
"${T}"/${PN}-standalone/${PN}-standalone-base-mmap-combined.patch
                        ewarn "You need to compile your kernel with the applied 
patch"
                        ewarn "to be able to load and use the aufs kernel 
module"
@@ -99,13 +113,15 @@ pkg_setup() {
                        die "missing kernel patch, please apply it first"
                fi
        fi
+
        popd &> /dev/null
        export PKG_SETUP_HAS_BEEN_RAN=1
 }
 
 set_config() {
        for option in $*; do
-               grep -q "^CONFIG_AUFS_${option} =" config.mk || die "${option} 
is not a valid config option"
+               grep -q "^CONFIG_AUFS_${option} =" config.mk || \
+                       die "${option} is not a valid config option"
                sed "/^CONFIG_AUFS_${option}/s:=:= y:g" -i config.mk || die
        done
 }
@@ -129,15 +145,11 @@ src_prepare() {
        use nfs && ( use amd64 || use ppc64 ) && set_config INO_T_64
        use ramfs && set_config BR_RAMFS
 
-       if use pax_kernel; then
-               if kernel_is ge 3 11; then
-                       epatch "${FILESDIR}"/pax-3.11.patch
-               else
-                       epatch "${FILESDIR}"/pax-3.patch
-               fi
-       fi
+       use pax_kernel && epatch "${FILESDIR}"/pax-3.11.patch
 
-       sed -i "s:aufs.ko usr/include/linux/aufs_type.h:aufs.ko:g" Makefile || 
die
+       sed \
+               -e "s:aufs.ko usr/include/linux/aufs_type.h:aufs.ko:g" \
+               -i Makefile || die
 }
 
 src_compile() {
@@ -155,18 +167,19 @@ src_compile() {
 src_install() {
        linux-mod_src_install
 
-       insinto /usr/share/doc/${PF}
-
-       use doc && doins -r Documentation
+       use doc && dodoc -r Documentation
 
-       use kernel-patch || doins 
"${T}"/${PN}-standalone/${PN}-standalone-base-mmap-combined.patch
+       use kernel-patch || \
+               doins 
"${T}"/${PN}-standalone/${PN}-standalone-base-mmap-combined.patch
 
-       dodoc Documentation/filesystems/aufs/README 
"${T}"/${PN}-standalone/{aufs3-loopback,vfs-ino,tmpfs-idr}.patch
+       dodoc \
+               Documentation/filesystems/aufs/README \
+               "${T}"/${PN}-standalone/{aufs3-loopback,vfs-ino,tmpfs-idr}.patch
 
        readme.gentoo_create_doc
 }
 
 pkg_postinst() {
-       readme.gentoo_pkg_postinst
+       readme.gentoo_print_elog
        linux-mod_pkg_postinst
 }

Reply via email to